GridFire v0.7.1_rc2 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | List of all members
PyReactionChainPolicy Class Referencefinal

`#include <py_policy.h>`

Inheritance diagram for PyReactionChainPolicy:
[legend]
Collaboration diagram for PyReactionChainPolicy:
[legend]

## Public Member Functions
const gridfire::reaction::ReactionSet & | get_reactions () const override
| Returns the ReactionSet describing this chain.
bool | contains (const std::string &id) const override
bool | contains (const gridfire::reaction::Reaction &reaction) const override
std::unique_ptr< ReactionChainPolicy > | clone () const override
std::string | name () const override
uint64_t | hash (uint64_t seed) const override
bool | operator== (const ReactionChainPolicy &other) const override
bool | operator!= (const ReactionChainPolicy &other) const override
Public Member Functions inherited from gridfire::policy::ReactionChainPolicy
virtual | ~ReactionChainPolicy ()=default
virtual bool | operator== (const ReactionChainPolicy &other) const =0
virtual bool | operator!= (const ReactionChainPolicy &other) const =0

## Member Function Documentation

## ◆ clone()

std::unique_ptr< gridfire::policy::ReactionChainPolicy > PyReactionChainPolicy::clone | ( |  | ) | const
| override virtual

Implements gridfire::policy::ReactionChainPolicy.

## ◆ contains() [1/2]

bool PyReactionChainPolicy::contains | ( | const gridfire::reaction::Reaction & | reaction | ) | const
| override virtual

Implements gridfire::policy::ReactionChainPolicy.

## ◆ contains() [2/2]

bool PyReactionChainPolicy::contains | ( | const std::string & | id | ) | const
| override virtual

Implements gridfire::policy::ReactionChainPolicy.

## ◆ get_reactions()

const gridfire::reaction::ReactionSet & PyReactionChainPolicy::get_reactions | ( |  | ) | const
| override virtual

Returns the ReactionSet describing this chain.

Returns
  const reaction::ReactionSet& reference to the chain's reactions.

Example
  const reaction::ReactionSet &set = chainPolicy.get_reactions();
  std::cout << "Chain contains " << set.size() << " reactions\n";

Exceptions

  gridfire::exceptions::MissingBaseReactionError | may be thrown by concrete implementations at construction time if the required reactions cannot be found in the base reaction set.

Implements gridfire::policy::ReactionChainPolicy.

## ◆ hash()

uint64_t PyReactionChainPolicy::hash | ( | uint64_t | seed | ) | const
| override virtual

Implements gridfire::policy::ReactionChainPolicy.

## ◆ name()

std::string PyReactionChainPolicy::name | ( |  | ) | const
| override virtual

Implements gridfire::policy::ReactionChainPolicy.

## ◆ operator!=()

bool PyReactionChainPolicy::operator!= | ( | const ReactionChainPolicy & | other | ) | const
| override

## ◆ operator==()

bool PyReactionChainPolicy::operator== | ( | const ReactionChainPolicy & | other | ) | const
| override

The documentation for this class was generated from the following files:

- src/python/policy/trampoline/py_policy.h
- src/python/policy/trampoline/py_policy.cpp